Redmine - Feature #2471

Add my activities to my page
2009-01-08 13:15 - Guilherme Schneider

Status: Closed Start date: 2009-01-08
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: My page Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

| would like to see my user activities in my page.

Related issues:

Related to Redmine - Feature #574: Add "My issues" to main menu New

Related to Redmine - Patch #1081: Add Activity block to My Page Closed 2008-04-21
Related to Redmine - Defect #29816: MyHelper::render_activity _block is not ti... Closed

Associated revisions

Revision 17443 - 2018-07-11 16:51 - Go MAEDA
Add my activities to my page (#2471).

Patch by Mizuki ISHIKAWA.

Revision 17456 - 2018-07-29 09:27 - Go MAEDA
Add a missing fixture (#2471).

Revision 17465 - 2018-08-09 02:27 - Go MAEDA

Fix a test failure in test/functional/my_controller_test.rb that depends on time and zone (#2471).

Revision 17600 - 2018-10-21 01:43 - Go MAEDA
Fix that MyHelper::render_activity_block is not timezone aware (#2471, #29816).

Patch by Mizuki ISHIKAWA.

History

#1 - 2009-01-08 13:16 - Guilherme Schneider
This is related to #1002

#2 - 2014-06-24 01:45 - Toshi MARUYAMA
- Category set to My page

#3 - 2014-06-24 01:49 - Toshi MARUYAMA
- Related to Feature #574: Add "My issues" to main menu added

#4 - 2014-06-26 03:40 - Go MAEDA
- File patch-2471.diff added

This feature is useful to look back on what I did.

| have made a patch.

#5 - 2014-06-26 03:50 - Go MAEDA
- File my_activity_block.png added

Here is the screenshot of the "My activity" block.
https://www.redmine.org/issues/1002

My page
My activity
06/25/2014

06:18 PM test - Bug #7 (New): sub-sub

L

06:16 PM test - Bug #6 (New): subtask with attachment

L

06:15 PM test - Bug #5 (New): parent with attachment

L

11:58 AM test - Bug #4 (New): Cozy lummox gives smart squid who
asks for job pen.

|| 11:57 am test - Bug #3 (New): Jackdaws love my big sphinx of quartz.
| 11:57 aM test - Bug #2 (New): Pack my box with five dozen liquor jugs.

11:56 aM test - Bug #1 (New): The guick brown fox jumps over a lazy
dog.

#6 - 2014-08-04 00:22 - Toshi MARUYAMA
- Related to Patch #1081: Add Activity block to My Page added

#7 - 2015-07-27 17:39 - Go MAEDA

- Target version set to Candidate for next major release

| think this is useful for project members to look back on their work.

#8 - 2018-06-07 04:18 - Mizuki ISHIKAWA
- File add-my-activities-to-my-page.patch added

| fixed a patch written by Go MAEDA (#2471#note-4) to apply to trunk.
In addition, | made partial "activities" and use it in multiple places (my page, activities/index, users/show).

| think that this feature is still necessary now.

#9 - 2018-06-14 22:46 - Marius BALTEANU

+1

#10 - 2018-06-15 07:09 - Bernhard Rohloff

For issues I've made something similar with a custom query, but this is much better.
+1

#11 - 2018-06-17 18:29 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#12 - 2018-07-10 18:04 - Go MAEDA
- Assignee set to Go MAEDA

#13 - 2018-07-11 16:52 - Go MAEDA
- Status changed from New to Closed
- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for improving Redmine.

#14 - 2018-08-03 02:13 - Mizuki ISHIKAWA
- File fix_test.patch added
Thank you for committing.
| checked https://www.redmine.org/builds/ and discovered that testing this feature failed.

Failure:

MyControllerTest#test_page_with_activity
[/var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.4/test/functional/my_controller_test.rb:209]:
Expected at least 1 element matching "a[href="/activity?from=2018-08-01&user_id=2"]", found 0..
Expected 0 to be >= 1.

bin/rails test test/functional/my_controller_test.rb:201

This attached patch will fix the test.

#15 - 2018-08-03 02:31 - Go MAEDA
- File build-status@2x.png added

- Status changed from Closed to Reopened

Mizuki ISHIKAWA wrote:

| checked https:/www.redmine.org/builds/ and discovered that testing this feature failed.

Failure:

MyControllerTest#test_page_with_activity
[/var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.4/test/functional/my_controller_test.rb:209]:
Expected at least 1 element matching "a[href="/activity?from=2018-08-01&user_id=2"]", found 0..

Expected 0 to be >= 1.

bin/rails test test/functional/my_controller_test.rb:201

Thank you for pointing it out. | found that the test failed depending on the time.

NG: 2018-08-01 23:30:01 -0700 : https://www.redmine.org/builds/logs/build_trunk_mysqgl_ruby-2.5_315.html
OK:2018-08-01 08:00:01 -0700 : https://www.redmine.org/builds/logs/build_trunk_mysqgl_ruby-2.5_314.html
ild_trunk_mysql_ruby-2.5_313.html
OK: 2018-07-29 01:00:02 -0700 : https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.5_312.html

NG: 2018-07-31 20:00:01 -0700 : h

://www.redmine.or

ruby-2.5

ruby-2.4

ruby-2.3

ruby-2.2

Redmine build status

Generated on 2018-08-03 00:00:03 UTC. More information about this environment at redmine.org.

mysql

r17462 on 2018-08-02T21:56:09Z (log)
ri7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
rl7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
r17459 on 2018-08-02T06:01:07Z (log)
rl7458 on 2018-08-01T14:31:10Z (log)
r17457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
rl7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

postgresq|l

ri7462 on 2018-08-02T21:56:09Z (log)
rl7459 on 2018-08-02T06:01:07Z (log)
ri7458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
ri7456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
ri7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
r17459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
ri7456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
ri7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

sqlite3

ri7462 on 2018-08-02T21:56:09Z (log)
r17459 on 2018-08-02T06:01:07Z (log)
ri7458 on 2018-08-01T14:31:10Z (log)
r17457 on 2018-08-01T02:26:06Z (log)
ri7456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
ri7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

ri7462 on 2018-08-02T21:56:09Z (log)
r17459 on 2018-08-02T06:01:07Z (log)
ri7458 on 2018-08-01T14:31:10Z (log)
r17457 on 2018-08-01T02:26:06Z (log)
rl7456 on 2018-07-29T07:31:06Z (log)

r17462 on 2018-08-02T21:56:09Z (log)
ri7459 on 2018-08-02T06:01:07Z (log)
r17458 on 2018-08-01T14:31:10Z (log)
rl7457 on 2018-08-01T02:26:06Z (log)
r17456 on 2018-07-29T07:31:06Z (log)

#16 - 2018-08-04 03:26 - Go MAEDA
https://www.redmine.org/builds/
https://www.redmine.org/builds/
https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.5_315.html
https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.5_314.html
https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.5_313.html
https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.5_312.html

Using Date.current which is aware of the application's timezone also should fix the issue.

-—- test/functional/my_controller_test.rb (revision 17462)
+++ test/functional/my_controller_test.rb (working copy)
@@ -208,7 +208,7 @@

assert_select 'div#block-activity' do
assert_select 'h3' do

= assert_select 'alhref=?]"', activity_path(from: Date.today, user_id: user.id), ttext => 'Activity'
+ assert_select 'alhref=7?]', activity_path (from: Date.current, user_id: user.id), ttext => 'Activity'
end

assert_select 'div#activity' do
assert_select 'dt', 10

Time Date.today Date.current
08:59 JST (23:59 UTC) FAIL PASS
09:01 JST (00:01 UTC) PASS PASS

#17 - 2018-08-15 05:17 - Go MAEDA

- Status changed from Reopened to Closed

Mizuki ISHIKAWA wrote:

| checked https://www.redmine.org/builds/ and discovered that testing this feature failed.

Failure:

MyControllerTest#test_page_with_activity
[/var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.4/test/functional/my_controller_test.rb:209]:
Expected at least 1 element matching "a[href="/activity?from=2018-08-01&user_id=2"]", found 0..

Expected 0 to be >= 1.

bin/rails test test/functional/my_controller_test.rb:201

The problem was fixed by r17465.

#18 - 2018-10-20 03:17 - Go MAEDA
- Related to Defect #29816: MyHelper::render_activity _block is not timezone aware added

#19 - 2018-10-20 03:28 - Go MAEDA

- Status changed from Closed to Reopened

The new block is not aware of timezone when grouping events by date. The patch to fix the issue was posted as #29816.

#20 - 2018-10-21 01:44 - Go MAEDA

- Status changed from Reopened to Closed

Go MAEDA wrote:

The new block is not aware of timezone when grouping events by date. The patch to fix the issue was posted as #29816.

Committed the patch.

Files

patch-2471.diff 2.29 KB 2014-06-26 Go MAEDA

my_activity_block.png 55.4 KB 2014-06-26 Go MAEDA

add-my-activities-to-my-page.patch 7.82 KB 2018-06-07 Mizuki ISHIKAWA

fix_test.patch 950 Bytes 2018-08-03 Mizuki ISHIKAWA

build-status@2x.png 149 KB 2018-08-03 Go MAEDA
